use log::info;
use tokio::net::TcpListener;

use crate::streamstart;

pub async fn listen(hostname: String, port: u16) -> Result<(), anyhow::Error> {
    let listener = TcpListener::bind(("0.0.0.0", port)).await?;
    loop {
        match listener.accept().await {
            Ok(conn) => {
                info!("opening connection from {}", conn.1);
                streamstart::spawn(hostname.clone(), conn);
            }
            Err(e) => {
                eprintln!("listening: {e}");
                continue;
            }
        }
    }
}
